Redmine - Patch #22112

add html5 audio controls if attachment is mp3
2016-02-25 15:26 - nicola mondinelli

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version:

Description
| added a simple line on bottom of application.js to create a HTMLS5 control if the attachment is an mp3.

i share it with you.

$ (document) . ready (function () {

S (".attachments p:has(alhref$='.mp3'])").after (function () {
return "<audio controls><source src=\"" +
$(this).find (" alhref$='".mp3'] ").attr ("href")+"\" type=\"audio/mpeg\"</audio>"

)i
)i

Related issues:

Related to Redmine - Feature #10138: Video Player Closed
Related to Redmine - Patch #27336: Render previews for audio and video files Closed
History

#1 - 2016-02-25 16:06 - Toshi MARUYAMA

- Description updated

#2 - 2016-02-25 16:11 - Toshi MARUYAMA

- Description updated

#3 - 2017-02-03 17:34 - diamond2nv GitHub

- File application.zip added

Thank for Toshi MARUYAMA having added a simple line on bottom of application.js to create a HTML5 control if the attachment is an mp3.

Add little change for both <video>(.mp4) and <audio>(.mp3) support, just refresh your browser and see after the new js!

$ (document) .ready (function () {

$(".attachments p:has(alhref$='.mp3'])") .after (function () {
return "<audio controls><source src=\"" +
$(this) .find (" alhref$='.mp3'] ").attr ("href")+"\" type=\"audio/mp3\"</audio>"

1) i
}) i

$ (document) .ready (function () {

$(".attachments p:has(alhref$="'.mp4'])").after (function () {
return "<video width=\"600\" height=\"400\" controls><source src=\"" +
S(this).find (" alhref$='".mp4'] ").attr("href")+"\" type=\"video/mp4\"</video>"

}) i
)i
#4 - 2017-02-08 10:26 - diamond2nv GitHub

return "<video width=\"600\" height=\"400\" controls><source src=\"" +
640*3607?

Not fit for android browser

#5 - 2017-03-05 03:27 - Toshi MARUYAMA
- Related to Feature #10138: Video Player added

#6 - 2017-11-21 01:13 - Go MAEDA
- Related to Patch #27336: Render previews for audio and video files added

#7 - 2018-10-08 14:12 - Go MAEDA

- Status changed from New to Closed

The upcoming Redmine 4.0 will have audio/video control on the preview page. Please refer to #27336 for details.

Files
2016-02-25 15_23 38-Supporto 1° Livello #11833_ NUOVA RICHIESTA T KBEFONICRO1BIZRZIRT 1° LIVELLO - Sc.png nicola mondinelli
application.zip 5.89 KB 2017-02-03 diamond2nv GitHub
